"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoiceChannelRemovePacket = void 0;
const Packet_1 = require("../Packet");
class VoiceChannelRemovePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeUUID(this.data.uuid);
        this.buf.finish();
    }
    read() {
        this.data = {
            uuid: this.buf.readUUID(),
        };
        return this.data;
    }
}
exports.VoiceChannelRemovePacket = VoiceChannelRemovePacket;
VoiceChannelRemovePacket.id = 18;
