import { Packet } from '../Packet';
declare class _BossBarPacket extends Packet<BossBar> {
    static id: number;
    write(data?: BossBar): void;
    read(): BossBar;
}
/** @deprecated Packet not handled by the official Lunar Client */
export declare const BossBarPacket: typeof _BossBarPacket;
/**
 * Boss bar packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketBossBar.java
 */
interface BossBar {
    action: number;
    text: string;
    health: number;
}
export {};
