"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientVoicePacket = void 0;
const Packet_1 = require("../Packet");
class ClientVoicePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.plugins.lunar.writeBlob(this.data.data);
        this.buf.finish();
    }
    read() {
        this.data = { data: this.buf.plugins.lunar.readBlob() };
        return this.data;
    }
}
exports.ClientVoicePacket = ClientVoicePacket;
ClientVoicePacket.id = 0;
