"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CooldownPacket = void 0;
const Packet_1 = require("../Packet");
class CooldownPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.id);
        this.buf.writeLong(this.data.durationMs);
        this.buf.writeInt(this.data.iconId);
        this.buf.finish();
    }
    read() {
        this.data = {
            id: this.buf.readString(),
            durationMs: this.buf.readLong(),
            iconId: this.buf.readInt(),
        };
        return this.data;
    }
}
exports.CooldownPacket = CooldownPacket;
CooldownPacket.id = 3;
