import { Packet } from '../Packet';
declare class _GhostPacket extends Packet<Ghost> {
    static id: number;
    write(data?: Ghost): void;
    read(): Ghost;
}
/** @deprecated Packet not handled by the official Lunar Client */
export declare const GhostPacket: typeof _GhostPacket;
/**
 * Ghost packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketGhost.java
 */
interface Ghost {
    addGhostList: string[];
    removeGhostList: string[];
}
export {};
