import { Packet } from '../Packet';
export declare class UpdateWorldPacket extends Packet<UpdateWorld> {
    static id: number;
    write(data?: UpdateWorld): void;
    read(): UpdateWorld;
}
/**
 * Update world packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketUpdateWorld.java
 */
interface UpdateWorld {
    world: string;
}
export {};
