"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmoteBroadcastPacket = void 0;
const deprecatePacket_1 = require("../../util/deprecatePacket");
const Packet_1 = require("../Packet");
class _EmoteBroadcastPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeUUID(data.uuid);
        this.buf.writeInt(data.emoteId);
        this.buf.finish();
    }
    read() {
        this.data = {
            uuid: this.buf.readUUID(),
            emoteId: this.buf.readInt(),
        };
        return this.data;
    }
}
_EmoteBroadcastPacket.id = 26;
/** @deprecated Packet not handled by the official Lunar Client */
exports.EmoteBroadcastPacket = (0, deprecatePacket_1.default)(_EmoteBroadcastPacket);
